sdr::PortAudio Class Reference

"Namespace" to collect all static, PortAudio related functions. More...

`#include <portaudio.hh>`

## Static Public Member Functions

static void | init ()
| Initializes the PortAudio system, must be called first. More...
static void | terminate ()
| Shutdown. More...
static int | numDevices ()
| Returns the number of devices available. More...
static int | defaultInputDevice ()
| Returns the index of the default input device. More...
static int | defaultOutputDevice ()
| Returns the index of the default output device. More...
static bool | hasInputStream (int idx)
| Returns `true` of the given device provides an input chanel. More...
static bool | hasOutputStream (int idx)
| Returns `true` of the given device provides an output chanel. More...
static std::string | deviceName (int idx)
| Returns the device name. More...

## Detailed Description

"Namespace" to collect all static, PortAudio related functions.

## Member Function Documentation

int PortAudio::defaultInputDevice | ( |  | ) |

static

Returns the index of the default input device.

int PortAudio::defaultOutputDevice | ( |  | ) |

static

Returns the index of the default output device.

std::string PortAudio::deviceName | ( | int | idx | ) |

static

Returns the device name.

bool PortAudio::hasInputStream | ( | int | idx | ) |

static

Returns `true` of the given device provides an input chanel.

bool PortAudio::hasOutputStream | ( | int | idx | ) |

static

Returns `true` of the given device provides an output chanel.

void PortAudio::init | ( |  | ) |

static

Initializes the PortAudio system, must be called first.

int PortAudio::numDevices | ( |  | ) |

static

Returns the number of devices available.

void PortAudio::terminate | ( |  | ) |

static

Shutdown.

The documentation for this class was generated from the following files:

- /Users/hannes/Uni/Elektronik/sdr/libsdr/src/portaudio.hh
- /Users/hannes/Uni/Elektronik/sdr/libsdr/src/portaudio.cc